Bug 1048468 - dnf --cacheonly list installed tries to download repodata
dnf --cacheonly list installed tries to download repodata
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1030440
  Show dependency treegraph
 
Reported: 2014-01-04 07:07 EST by Elad Alfassa
Modified: 2014-09-30 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-0.4.12-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 06:11:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elad Alfassa 2014-01-04 07:07:02 EST
[elad@rincewind bash-completion]$ dnf --cacheonly list installed
google-talkplugin                                                                                                      12 kB/s | 2.8 kB     00:00    
[Errno 13] Permission denied: '/var/cache/dnf/x86_64/20/google-talkplugin/repodata/repodata'



It appears that with --cacheonly dnf will still try to update the cache (which it shouldn't) but will try to download it to the system cache dir instead of the user one (which it also shouldn't) and thus the command fails.
Comment 1 Ales Kozumplik 2014-01-06 02:33:11 EST
Thanks for the report, this is a real issue, we will take a look.
Comment 2 Ales Kozumplik 2014-01-20 08:33:07 EST
reproduced
Comment 3 Ales Kozumplik 2014-01-20 10:01:34 EST
Fixed by 0608ac8.
Comment 4 Fedora Update System 2014-01-21 02:39:52 EST
dnf-0.4.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.12-1.fc20
Comment 5 Fedora Update System 2014-01-21 22:11:41 EST
Package dnf-0.4.12-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.12-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1270/dnf-0.4.12-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-01-23 06:11:55 EST
dnf-0.4.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.